<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Ejercicio 7</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    <script src="https://code.jquery.com/jquery-3.4.1.min.js"
        integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>

    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>
    <!-- <script src="//cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script> -->
    <!-- <script src="https://cdn.datatables.net/1.10.20/js/dataTables.bootstrap4.min.js"></script> -->
    <!-- <link rel="stylesheet" href="//cdn.datatables.net/1.10.20/css/jquery.dataTables.min.css"> -->
    <!-- <link rel="stylesheet" href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css"> -->
    <link rel="stylesheet" type="text/css" href="DataTables/datatables.min.css"/>
    <link rel="stylesheet" type="text/css" href="DataTables-1.10.20/css/dataTables.bootstrap4.min.css"/>
    <link rel="stylesheet" type="text/css" href="AutoFill-2.3.4/css/autoFill.bootstrap4.css"/>
    <link rel="stylesheet" type="text/css" href="Buttons-1.6.1/css/buttons.bootstrap4.min.css"/>
    <link rel="stylesheet" type="text/css" href="ColReorder-1.5.2/css/colReorder.bootstrap4.min.css"/>
    <link rel="stylesheet" type="text/css" href="Select-1.3.1/css/select.bootstrap4.min.css"/>
    <script type="text/javascript" src="DataTables/datatables.min.js"></script>
    <script type="text/javascript" src="JSZip-2.5.0/jszip.min.js"></script>
    <script type="text/javascript" src="pdfmake-0.1.36/pdfmake.min.js"></script>
    <script type="text/javascript" src="pdfmake-0.1.36/vfs_fonts.js"></script>
    <script type="text/javascript" src="DataTables-1.10.20/js/jquery.dataTables.min.js"></script>
    <script type="text/javascript" src="DataTables-1.10.20/js/dataTables.bootstrap4.min.js"></script>
    <script type="text/javascript" src="AutoFill-2.3.4/js/dataTables.autoFill.min.js"></script>
    <script type="text/javascript" src="AutoFill-2.3.4/js/autoFill.bootstrap4.min.js"></script>
    <script type="text/javascript" src="Buttons-1.6.1/js/dataTables.buttons.min.js"></script>
    <script type="text/javascript" src="Buttons-1.6.1/js/buttons.bootstrap4.min.js"></script>
    <script type="text/javascript" src="Buttons-1.6.1/js/buttons.colVis.min.js"></script>
    <script type="text/javascript" src="Buttons-1.6.1/js/buttons.flash.min.js"></script>
    <script type="text/javascript" src="Buttons-1.6.1/js/buttons.html5.min.js"></script>
    <script type="text/javascript" src="Buttons-1.6.1/js/buttons.print.min.js"></script>
    <script type="text/javascript" src="ColReorder-1.5.2/js/dataTables.colReorder.min.js"></script>
    <script type="text/javascript" src="Select-1.3.1/js/dataTables.select.min.js"></script>
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <nav class="navbar navbar-expand-sm navbar-dark bg-primary">
        <a class="navbar-brand" href="#">Navbar</a>
        <button class="navbar-toggler d-lg-none" type="button" data-toggle="collapse" data-target="#collapsibleNavId"
            aria-controls="collapsibleNavId" aria-expanded="false" aria-label="Toggle navigation"><span
                class="navbar-toggler-icon"></span></button>
        <div class="collapse navbar-collapse" id="collapsibleNavId">
            <ul class="navbar-nav mr-auto mt-2 mt-lg-0 nav">
                <li class="nav-item">
                    <a class="nav-link active" data-toggle="tab" href="#a" id="linkA">Consulta <span
                            class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#b">Inserción</a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="dropdownId" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">Dropdown</a>
                    <div class="dropdown-menu" aria-labelledby="dropdownId">
                        <a class="dropdown-item" href="#c" data-toggle="tab">Action 1</a>
                        <a class="dropdown-item" href="#d" data-toggle="tab">Action 2</a>
                    </div>
                </li>
            </ul>
        </div>
    </nav>

    <div class="container">
        <div class="tab-content">
            <div class="tab-pane container active" id="a">
                <h1>Ejercicio 7 del segundo cuatrimestre</h1>


                <ul id="elto">
                    <li class="cl">Tarea 1</li>
                    <li class="cl">Tarea 2</li>
                    <li class="cl">Tarea 3</li>
                    <li class="cl">Tarea 4</li>
                    <li class="cl">Tarea 5</li>
                </ul>
                <form class="form-inline">
                    <label for="depId" class="mb-2 mr-sm-2">
                        Busca departamento
                    </label>
                    <input type="text" name="dep" id="depId" class="form-control mb-2 mr-sm-2" size="25">
                    <input type="button" value="Enviar" class="btn btn-primary mb-2 mr-sm-2" id="btnEnv">
                    <input type="button" value="Devolver json" class="btn btn-danger mb-2 mr-sm-2" id="btnJson">

                    <!-- <input class="btn btn-secondary" type="reset" value="Reset"> -->
                </form>

                <br>

                <div class="card">
                    <!-- <img class="card-img-top" src="holder.js/100x180/" alt=""> -->
                    <div class="card-body">
                        <h4 class="card-title">Departamentos</h4>
                        <p class="card-text">
                            <div id="resultado">
                                <em>Aquí se mostrarán los departamentos</em>
                            </div>
                        </p>
                    </div>
                </div>
            </div>
            <div class="tab-pane container" id="b">



                <form>
                    <fieldset>
                        <div class="form-group row">
                            <legend>Departamento</legend>
                        </div>


                        <div class="form-group row">
                            <label for="idD" class="col-sm-2 col-form-label">Id Depto.</label>
                            <div class="col-sm-10">
                                <input type="number" class="form-control" placeholder="Introduzca el id" name="idDepto"
                                    id="idD">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="inicD" class="col-sm-2 col-form-label">Iniciales</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" placeholder="Introduzca las iniciales..."
                                    name="inicDepto" id="inicD">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="nombreD" class="col-sm-2 col-form-label">Nombre</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" placeholder="Introduzca el nombre completo..."
                                    name="nombreDepto" id="nombreD">
                            </div>
                        </div>
                        <div class="form-group row" style="text-align: right">
                            <div class="col-sm-2 offset-sm-10">
                                <input class="btn btn-info" type="button" value="Insertar" id="btnIns">
                            </div>
                        </div>
                    </fieldset>
                </form>


            </div>
            <div class="tab-pane container" id="c">La acción C la veo un poco decepcionante...</div>
            <div class="tab-pane container" id="d">Y la D no anda mucho mejor...</div>
        </div>
        <script src="cliente.js"></script>
        <script>

            $(function () {

                function f(r) {
                    $('#resultado').html(r);
                }

                function llamaAPhp() {
                    $.get('procesa.php',
                        { dep: $('#depId').val() },
                        f);
                }

                $('#btnEnv').click(llamaAPhp);
                $('#depId').keyup(llamaAPhp);

                $('#btnEnv').click();
                //mostrarAlerta();


                function f2(r) {
                    $('#linkA').click();
                    $('#resultado').html(r);
                    $('#btnEnv').click();
                }

                function insertaPhp() {
                    $.post('inserta.php',
                        { idD: $('#idD').val(), inicD: $('#inicD').val(), nombreD: $('#nombreD').val() },
                        f2);
                }

                $('#btnIns').click(insertaPhp);

                function procesaDepto(d) {
                    var dep = "<li>" + 
                                d.idDepartamento + ": " + 
                                d.nombre + " - " + 
                                d.nombreCompleto + 
                                "</li>";
                    $('#deps').append(dep);
                }
                function procesaDepto2(d) {
                    var dep = "<tr>" + 
                                "<td>" + d.idDepartamento + "</td>" + 
                                "<td>" + d.nombre + "</td>" + 
                                "<td>" + d.nombreCompleto + "</td>" + 
                                "</tr>";
                    $('#tdepsbody').append(dep);
                }

                function f3(r) {
                    console.log(r);
                    
                    if (r.length > 0) {
                        $('#resultado').empty();
                        $('#resultado').append('<ul id="deps"></ul>');
                        r.forEach(procesaDepto);
                    }
                }
                function f4(r) {
                    console.log(r);
                    
                    if (r.length > 0) {
                        $('#resultado').empty();
                        $('#resultado').append('<table id="tdeps" class="table table-striped table-bordered table-hover"></table>');
                        $('#tdeps').append("<thead><tr><th>Id</th><th>Siglas</th> <th>Nombre</th></tr></thead>")
                        $('#tdeps').append('<tbody id ="tdepsbody"></tbody>')
                        r.forEach(procesaDepto2);
                        $('#tdeps').DataTable({
                            dom: 'Bfrtip',
                            autofill: true,
                            buttons: [
                                'copy', 'excel', 'pdf'
                                ],
                            colReorder: true,
                            select: true
                                });
                                }
                                }
                
                function f5(r) {
                    console.log(r);
                    
                    if (r.length > 0) {
                        $('#resultado').empty();
                        $('#resultado').append('<select id="sdeps"></select>');
                        r.forEach(function(d){
                            var opt = '<option value="' +
                                      d.idDepartamento +
                                      '">' + d.nombreCompleto +
                                      '</option>';
                            $('#sdeps').append(opt);
                        });
                    }
                }

                function pedirJson() {
                    $.getJSON(
                    'procesa_json.php',
                        {
                            dep: $('#depId').val()
                        },
                        f4);
                }
                $('#btnJson').click(pedirJson);

            });

        </script>
    </div>

</body>

</html>